Create
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
"{\n \"name\": \"Ledger Wallet\",\n \"address\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",\n \"settlementFrequency\": \"DAILY\", // Optional: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY\n \"isWhitelisted\": true // Optional\n}"
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries"
payload = "{
\"name\": \"Ledger Wallet\",
\"address\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",
\"settlementFrequency\": \"DAILY\", // Optional: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
\"isWhitelisted\": true // Optional
}"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "name": "Ledger Wallet",\n "address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",\n "settlementFrequency": "DAILY", // Optional: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY\n "isWhitelisted": true // Optional\n}')
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"createdAt": "2025-08-27T22:27:17.071Z",
"deletedAt": null,
"id": "cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b",
"isActive": true,
"isDefault": false,
"isSettlement": true,
"isWhitelisted": true,
"name": "Ledger Wallet",
"settlementFrequency": "DAILY",
"updatedAt": "2025-08-27T22:27:17.071Z"
},
"message": "Beneficiary created successfully",
"statusCode": 200
}Create
This endpoint allows you to add a beneficiary to a specific wallet.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| name | true | string | The name of the beneficiary (e.g., “Ledger Wallet”). |
| address | true | string | The wallet address of the beneficiary. |
| settlementFrequency | false | enum | How often settlements should occur. Possible values: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY. |
| isWhitelisted | false | boolean | Indicates whether the beneficiary address should be whitelisted. Whitelisted addresses restrict withdrawals to only whitelisted addresses for enhanced security. |
POST
/
v1
/
wallets
/
{walletId}
/
beneficiaries
Create
⌘I

